#!/bin/ksh
#
# Convert CAMRa files given on the command line to netCDF using all
# the best conversion options.  chilnoise and chilunfold are used.

PARAMS="-rangeoffset -700 -minelev 0"
#Z_PARAMS="-maxLDR -10 -autocal -clean -ZDRcal 2.7"
Z_PARAMS="-maxLDR -10 -autocal -clean"
DOP_PARAMS="-v1fold 7.5 -v2fold 15"

for FILE in $@; do
    BASE=$(basename $FILE)
    echo "### CONVERTING $FILE ###"
    if [ "${BASE:4:7}" = "dop.dat" ]; then
	PHIDPCAL=$(chilnoise $FILE -)
	echo $PHIDPCAL
	COMMAND="chil2nc $FILE - $PARAMS $DOP_PARAMS $PHIDPCAL -id dop"
#	echo ">>> $COMMAND"
	chil2nc $FILE - $PARAMS $DOP_PARAMS $PHIDPCAL -id dop
#	$COMMAND
	for NCFILE in ${BASE:0:4}*dop.nc; do
	    COMMAND="chilunfold $NCFILE"
	    $COMMAND
	done	    
    else
	POLAR=$(chilnoise $FILE -)
	echo $POLAR
	COMMAND="chil2nc $FILE - $PARAMS $Z_PARAMS $POLAR -id ref"
	echo ">>> $COMMAND"
	$COMMAND
    fi
done
